<?php

use WSCOMUN\WSComunFClient;

ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

require_once '../../../include/WSComunFClient.php';

$keyAutentica 	= WSComunFClient::KEYCLIENTE_AUTENTICA;


/* Array de URIs con los WSDLs descriptivos de cada servicio SAFE disponible */
$v_wsdl = array
(
	$keyAutentica 	=> 'https://innovacion-pre.gva.es/pai_bus_inno/SAFE/Autenticacion_v1_00?wsdl'
);

$v_opciones = array
(
 	'enableWSSecurity' 		=> false, //Innovacion
 	'enableTrazabilidadPAI' => true,
 	'idApp' 				=> 'WSCOMUN',
);


$user = 'provagenerica_pro';
$password = '683791pre';
$userHDFI = '1212121'; //Mismo usuario
//$dni = '29163429G';


print("\n\n<br/><br><br/>Slo autenticacin a travs de autenticaUsuarioLDAPWS()<br/>\n");
$token = null;
try
{
	$clienteSIRCA = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_AUTENTICA, $v_wsdl, $v_opciones);
	$clienteSIRCA->setDebugMode(true);
	$token = $clienteSIRCA->autenticaUsuarioLDAPWS($user, $password);
	if (!is_object($token))
	{
		$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
		print("\n<br/>Error de autenticacin, token vaco\n<br/>");
		print_r($vDebugInfo);
		die;
	}
	else
	{
		print("Token:\n<br/>");
		print_r($token);
	}
}
catch (Exception $e)
{
	print("\n<br/>Excepcin: \n<br/>");
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print("Error de autenticacin<br/>\n");
	print_r($vDebugInfo);
	print($e->getMessage());
	die;
}
die;

print("\n\n<br/><br><br/>Informacin (autenticacin y autorizacin) a travs de LDAP<br/>\n");
$datosUsuario = array();
try
{
	set_time_limit(40);
	$clienteSIRCA = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_AUTENTICA, $v_wsdl, $v_opciones);
	$clienteSIRCA->setDebugMode(true);
	$datosUsuario = $clienteSIRCA->getInformacionLDAP($user, $password);
	if (empty($datosUsuario))
	{
		$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
		print("Error de autenticacin<br/>\n");
		print_r($vDebugInfo);
	}
	else
	{
		print("Datos Usuario:\n<br/>");
		print_r($datosUsuario);
	}
}
catch (Exception $e)
{
	print("\n<br/>Excepcin: \n<br/>");
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print("Error de autenticacin<br/>\n");
	print_r($vDebugInfo);
	print($e->getMessage());
}


print("\n\n<br/><br><br/>Slo autenticacin a travs de HDFI autenticaUsuarioWS()<br/>\n");
$token = null;
try
{
	set_time_limit(40);
	$clienteSIRCA = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_AUTENTICA, $v_wsdl, $v_opciones);
	$clienteSIRCA->setDebugMode(true);
	$token = $clienteSIRCA->autenticaUsuarioWS($user, $password);
	if (!is_object($token))
	{
		$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
		print("\n<br/>Error de autenticacin, token vaco\n<br/>");
		print_r($vDebugInfo);
		die;
	}
	else
	{
		print("Token:\n<br/>");
		print_r($token);
	}
}
catch (Exception $e)
{
	print("\n<br/>Excepcin: \n<br/>");
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print("Error de autenticacin<br/>\n");
	print_r($vDebugInfo);
	print($e->getMessage());
	die;
}



print("\n\n<br/><br><br/>Informacin (autenticacin y autorizacin) a travs de HDFI<br/>\n");
$datosUsuario = array();
try
{
	set_time_limit(40);
	$clienteSIRCA = WSComunFClient::makeWSClient(WSComunFClient::KEYCLIENTE_AUTENTICA, $v_wsdl, $v_opciones);
	$clienteSIRCA->setDebugMode(true);
	$datosUsuario = $clienteSIRCA->getInformacionHDFI($userHDFI, $password);
	if (empty($datosUsuario))
	{
		$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
		print("Error de autenticacin<br/>\n");
		print_r($vDebugInfo);
	}
	else
	{
		print("Datos Usuario:\n<br/>");
		print_r($datosUsuario);
	}
}
catch (Exception $e)
{
	print("\n<br/>Escepcin: \n<br/>");
	$vDebugInfo = is_object($clienteSIRCA)?$clienteSIRCA->getDebugInfo():array('Error en la creacin del objeto WSComunFClient');
	print("Error de autenticacin<br/>\n");
	print_r($vDebugInfo);
	print($e->getMessage());
}


?>